function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import getDisplayName from './util/getDisplayName';
import useResponsive from './useResponsive';

var withResponsive = function withResponsive(Component) {
  var Connect = function Connect(props) {
    var responsiveObject = useResponsive();
    return /*#__PURE__*/React.createElement(Component, _extends({}, props, {
      responsive: responsiveObject
    }));
  };

  Connect.displayName = getDisplayName('withResponsive', Component);
  return Connect;
};

export default withResponsive;